Add secret-management in Charmed OSM
[osm/devops.git] / jenkins / UI / start_build
index 05a191c..a103aa8 100755 (executable)
@@ -25,24 +25,15 @@ OSM_JENKINS=$(dirname $HERE)
 # SET YOU MDG repository name here
 export OSM_MDG=UI
 OSM_load_config
+OSM_git_checkout "$@"
 
+trap 'WARNING "INTERRUPT"; exit 1' INT
 
-# Here is an example for how to handle an incremental build
-if [ -d $OSM_MDG ]; then
-       INFO "reusing existing workspace"
-       cd $OSM_MDG
-       git pull 
-else
-       INFO "cloning MDG $OSM_MDG from $OSM_GIT_URL/$OSM_MDG"
-       git clone $OSM_GIT_URL/$OSM_MDG
-       cd $OSM_MDG
-fi
 INFO "starting build"
+make clean || FATAL "Make clean failed"
+./BUILD.sh
 
-make -j16 -C UI || FATAL "Make failed"
-sudo make install || FATAL "Make install Failed"
-
-RC=0
+RC=$?
 
 INFO "done, RC=$RC"
 exit $RC